# std::length_error Class Reference

Inheritance diagram for std::length_error:

List of all members.

## Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 88 of file stdexcept.

## Public Member Functions

- length_error (const string &__arg)
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::logic_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- stdexcept